package com.lightinit.hsdatashow.dictionary;

import java.util.LinkedHashMap;

public class DicEducationType {
    public static final String KINDERGARTEN = "幼儿园";
    public static final String MIDDLESCHOOL = "中学";
    public static final String PRIMARYSCHOOL = "小学";
    public static final String TRAINING = "培训机构";
    public static final String UNIVERSITYSCHOOL = "大学";

    private static DicEducationType instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicEducationType(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(KINDERGARTEN, KINDERGARTEN);
        dicMap.put(MIDDLESCHOOL, MIDDLESCHOOL);
        dicMap.put(PRIMARYSCHOOL, PRIMARYSCHOOL);
        dicMap.put(TRAINING, TRAINING);
        dicMap.put(UNIVERSITYSCHOOL, UNIVERSITYSCHOOL);
    }

    public static DicEducationType getInstacne(){
        if (instance == null)
        {
            instance = new DicEducationType();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
